/******************************************************************************/
#include "mbed.h"
#include "eeprom_flash.h"


/******************************************************************************/
#define DEVICE_STATUS           0x0000


/******************************************************************************/
DigitalOut myled(LED1);


/******************************************************************************/
int main()
{
    unsigned int i=0;
    uint32_t readValue = 0;
    
    printf("[APP] : Device Initialized...\n\r");
    
    while(1)
    {
        printf("\n\r[APP] : Sequence : %d\n\r", i);
        wait(3);
        myled = !myled;
        
        printf("\n\r[APP] : Writing : %d\n\r", i);
        printf("-------------------------------\n\r");
        enableEEPROMWriting();
        writeEEPROMHalfWord(DEVICE_STATUS, i);
        wait(1);
        disableEEPROMWriting();
        myled = !myled;
        
        printf("\n\r[APP] : Reading : %d\n\r", i);
        printf("-------------------------------\n\r");
        readValue = readEEPROMHalfWord(DEVICE_STATUS);
        printf("[APP] : readEEPROMHalfWord : %d\n\r", readValue);
        wait(1);
        myled = !myled;
        
        printf("\n\r-------------------------------\n\r");
        i++;
    }
}
